net.minecraft.client.gui

## Class GuiListExtended

- java.lang.Object
- - net.minecraft.client.gui.GuiSlot
  - - net.minecraft.client.gui.GuiListExtended

- Direct Known Subclasses:
    GuiConfigEntries, GuiEditArrayEntries, GuiKeyBindingList, GuiOptionsRowList, GuiResourcePackList, GuiSelectStringEntries, ServerSelectionList

      public abstract class GuiListExtended
      extends GuiSlot

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `GuiListExtended.IGuiListEntry`

  - ### Field Summary

    - ### Fields inherited from class net.minecraft.client.gui.GuiSlot

      `bottom, field_148163_i, headerPadding, height, left, mouseX, mouseY, right, slotHeight, top, width`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiListExtended(Minecraft p_i45010_1_, int p_i45010_2_, int p_i45010_3_, int p_i45010_4_, int p_i45010_5_, int p_i45010_6_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `drawBackground()`
    `protected void` | `drawSlot(int p_148126_1_, int p_148126_2_, int p_148126_3_, int p_148126_4_, Tessellator p_148126_5_, int p_148126_6_, int p_148126_7_)`
    `protected void` | `elementClicked(int p_148144_1_, boolean p_148144_2_, int p_148144_3_, int p_148144_4_)`
    `boolean` | `func_148179_a(int p_148179_1_, int p_148179_2_, int p_148179_3_)`
    `boolean` | `func_148181_b(int p_148181_1_, int p_148181_2_, int p_148181_3_)`
    `abstract GuiListExtended.IGuiListEntry` | `getListEntry(int var1)`
    `protected boolean` | `isSelected(int p_148131_1_)`

    - ### Methods inherited from class net.minecraft.client.gui.GuiSlot

      `actionPerformed, drawContainerBackground, drawListHeader, drawScreen, drawSelectionBox, func_148122_a, func_148124_c, func_148125_i, func_148132_a, func_148135_f, func_148141_e, func_148142_b, func_148143_b, getAmountScrolled, getContentHeight, getListWidth, getScrollBarX, getSize, getSlotHeight, registerScrollButtons, scrollBy, setHasListHeader, setShowSelectionBox, setSlotXBoundsFromLeft`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GuiListExtended

          public GuiListExtended(Minecraft p_i45010_1_,
                         int p_i45010_2_,
                         int p_i45010_3_,
                         int p_i45010_4_,
                         int p_i45010_5_,
                         int p_i45010_6_)

  - ### Method Detail

    - #### elementClicked

          protected void elementClicked(int p_148144_1_,
                            boolean p_148144_2_,
                            int p_148144_3_,
                            int p_148144_4_)

      Specified by:
        `elementClicked` in class `GuiSlot`

    - #### isSelected

          protected boolean isSelected(int p_148131_1_)

      Specified by:
        `isSelected` in class `GuiSlot`

    - #### drawBackground

          protected void drawBackground()

      Specified by:
        `drawBackground` in class `GuiSlot`

    - #### drawSlot

          protected void drawSlot(int p_148126_1_,
                      int p_148126_2_,
                      int p_148126_3_,
                      int p_148126_4_,
                      Tessellator p_148126_5_,
                      int p_148126_6_,
                      int p_148126_7_)

      Specified by:
        `drawSlot` in class `GuiSlot`

    - #### func_148179_a

          public boolean func_148179_a(int p_148179_1_,
                              int p_148179_2_,
                              int p_148179_3_)

    - #### func_148181_b

          public boolean func_148181_b(int p_148181_1_,
                              int p_148181_2_,
                              int p_148181_3_)

    - #### getListEntry

          public abstract GuiListExtended.IGuiListEntry getListEntry(int var1)